%define _libdir %{_exec_prefix}/lib

Name:           blam
Version:        1.8.2
Release:        6%{?dist}
Summary:        An RSS/RDF feed reader

Group:          Applications/Internet
License:        GPL
URL:            http://developer.imendio.com/wiki/Blam
Source0:        http://ftp.imendio.com/pub/imendio/blam/src/blam-%{version}.tar.gz
Patch0:         blam-gtk-sharp2-gecko-sharp2.patch
Patch1:         blam-aclocal.m4-ngettext.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel, gtk-sharp2-gapi, gtk-sharp2, gecko-sharp2
BuildRequires:	mozilla-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	desktop-file-utils, gettext
BuildRequires:  autoconf

Requires: gecko-sharp2
Requires(pre):  GConf2
Requires(post): GConf2, desktop-file-utils
Requires(preun): GConf2
Requires(postun): desktop-file-utils

%description
Blam is a tool that helps you keep track of the growing 
number of news feeds distributed as RSS. Blam lets you 
subscribe to any number of feeds and provides an easy to 
use and clean interface to stay up to date

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
autoconf
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

# Do not need devel files
rm $RPM_BUILD_ROOT%{_libdir}/blam/libblam.{a,la}

%find_lang %{name}

desktop-file-install --vendor fedora --delete-original  \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
        --add-category X-Fedora                         \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
update-desktop-database &> /dev/null ||:
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
update-desktop-database &> /dev/null ||:

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%config %{_sysconfdir}/gconf/schemas/blam.schemas
%{_bindir}/*
%{_libdir}/blam
%{_datadir}/blam
%{_datadir}/applications/*
%{_datadir}/pixmaps/*


%changelog
* Fri Jul 14 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.8.2-6
- Add missing gecko-sharp2 runtime dependency, fixes #196706

* Sun May 28 2006 John Mahowald  <jpmahowald@gmail.com> - 1.8.2-5
- fix gettext autoconf macro for x86_64

* Sun May 21 2006 John Mahowald <jpmahowald@gmail.com> - 1.8.2-4
- readd .so
- reenable find_lang
- mark gconf schemea as config

* Thu May 18 2006 John Mahowald <jpmahowald@gmail.com> - 1.8.2-2
- gtk-sharp2 gecko-sharp2
- no .a, .la, .so

* Tue Mar 23 2006 Sindre Pedersen Bjørdal <foolish[AT]guezz.net> - 1.8.2-1
- Initial build
